{% extends 'base_front.html.twig' %}

{% block title %}Hello DefaultController!{% endblock %}

{% block section %}
    <div class="page">
        <div class="title-bet-ad">
            <div class="title-bet-ad-container">
                <div class="title-description">20€ de freebets offerts dès la participation à 10 paris !</div>

                <div class="description">
                    <div class="duree">Durée limitée !</div>
                </div>
            </div>
        </div>
        <div class="container-bet-scrolling">
            <div class="container-bet">
                {% for bet in sponsoredBets %}

                    {% set colors = bet.color|split(',') %}
                    {% set color1 = "" %}
                    {# background #}
                    {% set color2 = "" %}
                    {# button #}
                    {% set color3 = "" %}
                    {# textpremium #}
                    {% set color4 = "" %}
                    {# couleurtext #}

                    {% for color in colors %}
                        {% if loop.index == 1 %}
                            {% set color1 = color %}
                        {% elseif loop.index == 2 %}
                            {% set color2 = color %}
                        {% elseif loop.index == 3 %}
                            {% set color3 = color %}
                        {% elseif loop.index == 4 %}
                            {% set color4 = color %}
                        {% endif %}
                    {% endfor %}
                    <div class="container-betChoices" style="background-color: {{ color1 }}">
                        <div class="logo-event">
                            <img class="logo" src="{{ asset('img/categories/' ~ bet.event_idEvent.categoryIdCategory.logo) }}"></img>
                            <div class="premium" style="color: {{ color3 }}">Premium</div>
                        </div>
                        <div class="informations">
                            <div class="date" style="color: {{ color4 }}">Le {{ bet.event_idEvent.date ? bet.event_idEvent.date|date('d-m-Y') : '' }} à  {{ bet.event_idEvent.date ? bet.event_idEvent.date|date('H:i:s') : '' }}</div> 
                            <a href="{{ path('app_profile_bet', {'id': bet.id}) }}" class="title-bet" style="color: {{ color4 }}">{{ bet.name }}</a>
                            <div class="categorie-bet" style="color: {{ color4 }}">{{ bet.event_idEvent.categoryIdCategory.name }}</div>
                        </div>
                        <div class="stake-container">
                        {% for betChoice in bet.betChoices %}
                        {# <div class="button-bet"> #}
                            <a {% if is_granted('IS_AUTHENTICATED_FULLY')  %} href="{{ path('addBet', {'id': betChoice.id}) }}" class="button-bet choice-button {% else %} href="{{ path('app_login') }}" class="button-bet choice-unAuthenticated" {% endif %}  {% if asUser.findOneBy({'id_betChoice':betChoice.id, 'validated':false})%}selected{% endif %}" name="{{ betChoice.id }}" id="{{ betChoice.name }}" style="background-color: {{ color2 }}" >
                                {% if color1 != "#E9FFF3" or color1 !="#E9FFF3" %}
                                    <div class="choix" style="color: {{ color1 }}">{{ betChoice.name }}</div>
                                    <div class="stake" style="color: {{ color1 }}">{{ betChoice.rating }}</div>
                                {% else %}
                                    <div class="choix">{{ betChoice.name }}</div>
                                    <div class="stake">{{ betChoice.rating }}</div>
                                {% endif %}
                            </a>
                        {% endfor %}
                        </div>
                    </div>
                    {# <div class="view-bet" style="background-color: {{ color1 }}">
                        <div class="title-bet">SPONSO {{ bet.name }}</div>
                        <div class="bet-content">
                            {% for betChoice in bet.betChoices %}
                                <div class="choices-box">
                                    <div class="txt-separator">
                                        <div class="title-choice">
                                            <span class="choice-name" style="color: {{ color4 }}">{{ betChoice.name }}</span>
                                        </div>

                                        <div class="separator">
                                            <div class="elem-separator"></div>
                                        </div>
                                    </div>

                                    <a {% if is_granted('IS_AUTHENTICATED_FULLY')  %} href="{{ path('addBet', {'id': betChoice.id}) }}" class="choice-button {% else %} href="{{ path('app_login') }}" class="choice-unAuthenticated" {% endif %}  {% if asUser.findOneBy({'id_betChoice':betChoice.id, 'validated':false})%}selected{% endif %}" name="{{ betChoice.id }}" id="{{ betChoice.name }}" style="background-color: {{ color2 }}">
                                        {% if color1 != "#FFFFFF" %}
                                            <span class="choice-rating" style="color: {{ color1 }}">
                                                {{ betChoice.rating }}
                                            </span>
                                        {% else %}
                                            <span class="choice-rating">
                                                {{ betChoice.rating }}
                                            </span>
                                        {% endif %}
                                    </a>
                                </div>
                            {% endfor %}
                            <p style="color: {{ color3 }}">Premium</p>
                        </div>
                    </div> #}
                {% endfor %}
            </div>
        

        {# <div class="container-bet">
            {% for bet in famousBets %}

                <div class="view-bet">
                    <div class="title-bet"><a href="{{ path('app_profile_bet', {'id': bet.id}) }}">{{ bet.name }}</a></div>
                    <div class="bet-content">

                        {% for betChoice in bet.betChoices %}
                            <div class="choices-box">
                                <div class="txt-separator">
                                    <div class="title-choice">
                                        <span class="choice-name">{{ betChoice.name }}</span>
                                    </div>

                                    <div class="separator">
                                        <div class="elem-separator"></div>
                                    </div>
                                </div>

                                <a {% if is_granted('IS_AUTHENTICATED_FULLY')  %} href="{{ path('addBet', {'id': betChoice.id}) }}" class="choice-button {% else %} href="{{ path('app_login') }}" class="choice-unAuthenticated" {% endif %}  {% if asUser.findOneBy({'id_betChoice':betChoice.id, 'validated':false})%}selected{% endif %}" name="{{ betChoice.id }}" id="{{ betChoice.name }}">
                                    <span class="choice-rating">
                                        {{ betChoice.rating }}
                                    </span>
                                </a>
                            </div>
                            
                        {% endfor %}
                    </div>
                </div>
            {% endfor %}
        </div> #}
        <div class="container-bet">
            {% for bet in famousBets %}
            <div class="container-betChoices">
                <div class="logo-event">
                    <img class="logo" src="{{ asset('img/categories/' ~ bet.event_idEvent.categoryIdCategory.logo) }}"></img>
                </div>
                <div class="informations">
                    <div class="date">Le {{ bet.event_idEvent.date ? bet.event_idEvent.date|date('d-m-Y') : '' }} à  {{ bet.event_idEvent.date ? bet.event_idEvent.date|date('H:i:s') : '' }}</div> 
                    <a href="{{ path('app_profile_bet', {'id': bet.id}) }}" class="title-bet">{{ bet.name }}</a>
                    <div class="categorie-bet">{{ bet.event_idEvent.categoryIdCategory.name }}</div>
                </div>
                <div class="stake-container">
                {% for betChoice in bet.betChoices %}
                {# <div class="button-bet"> #}
                    <a {% if is_granted('IS_AUTHENTICATED_FULLY')  %} href="{{ path('addBet', {'id': betChoice.id}) }}" class="button-bet choice-button {% else %} href="{{ path('app_login') }}" class="button-bet choice-unAuthenticated" {% endif %}  {% if asUser.findOneBy({'id_betChoice':betChoice.id, 'validated':false})%}selected{% endif %}" name="{{ betChoice.id }}" id="{{ betChoice.name }}">
                        <div class="choix">{{ betChoice.name }}</div>
                        <div class="stake">{{ betChoice.rating }}</div>
                    </a>
                {% endfor %}
                </div>
            </div>
            {% endfor %}
        </div>


    </div>
    </div>
{% endblock %}
